﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OpenGL4NET;
using OpenGLRenderer;
using OpenGLRenderer.Geometry;


namespace ZPG_2_Rotacni_teleso
{
    class Program
    {
        static void Main(string[] args)
        {
            Renderer r = new Renderer(); //objekt pro renderovani


            //gl.Enable(GL.CULL_FACE); //vykreslovani pouze trojuhelniku se spravnou orientaci
            //r.SetProjectionMatrix(...); //pouzit misto "r.SetDefaultTransformations()"
            
            while (r.IsAlive)
            {
                r.SetDefaultTransformations();
                //r.SetModelViewMatrix(...); //pouzit misto "r.SetDefaultTransformations()"



                /* ukazka vykresleni trojuhelniku - trojuhelnik obsahuje normalu */
                r.AddTriangle(new Float3(0, 0, 0), new Float3(0.5f, 0, 0), new Float3(0.3f, 1, 0), new Float3(0, 0, 1));

                /* ukazka vykresleni trojuhelniku - vrcholy obsahuji normalu */
                r.AddTriangle(new Point(new Float3(0, 0, 0), new Float3(-1, 0.5f, 0)), new Point(new Float3(0, 0, 0.5f), new Float3(-0.3f, 1, 1)), new Point(new Float3(0, 1, 0.3f), new Float3(0.8f, -0.5f, -0.4f)));
                


                r.Render(); //zobrazeni aktualniho snimku
            }
        }



    }
}
